<?php 
    $host_ip = $_SERVER['SERVER_ADDR'];
    $s_name = "pube.tk"; //$_SERVER['SERVER_NAME'];
?>
<!DOCTYPE html>
<html>
  <head>
    <title>PuBe - Purum Bellum Free Hosting Server</title>
    
    <link rel="stylesheet" type="text/css" href="pube.css" />
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="apple-touch-icon" sizes="180x180" href="img/fi/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="img/fi/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="img/fi/favicon-16x16.png">
    <link rel="manifest" href="img/fi/site.webmanifest">
    <link rel="mask-icon" href="img/fi/safari-pinned-tab.svg" color="#5bbad5">
    <link rel="canonical" href="https://<?=$_SERVER['SERVER_NAME']?>/"/>
    <meta name="msapplication-TileColor" content="#2b5797">
    <meta name="theme-color" content="#ffffff">
    <meta charset="UTF-8">
    <meta name="title" content="PuBe - Purum Bellum Free Hosting Server">
    <meta name="description" content="Purum Bellum provides free videogame and privacy related service hosting since 2012.">
    <meta name="keywords" content="PuBe,Purum Bellum,game,videogame,service,server,hosting">
    <meta name="author" content="Abhorrent_Anger">
    <meta name="viewport" content="width=device-width, initial-scale=1">
  </head>
  <body>
    <div id="navbar">
        <svg class="center" width="128" height="64">
            <image xlink:href="img/pube-logo.svg" src="img/pube-logo.png" width="128" height="64" alt="PuBe"/>
        </svg>
    </div>
    <div id="main-container">
        <hr>
        <div id="services" class="section">
            <h1>Services</h1>
            <h2>Games</h2>
            <table>
                <tr>
                    <td>
                        <img src="img/thumb/openttd.png" alt="OpenTTD" title="OpenTTD"/>
                    </td>
                    <th>
                        <a href="https://www.openttd.org/en/">OpenTTD</a>
                    </th>
                    <td>
                        <a href="https://servers.openttd.org/server/+kxhHjR4">Purum Bellum - Vanilla (Temperate 1950-2050)</a>
                    </td>
                </tr>
                <tr>
                    <td>
                        <img src="img/thumb/zdaemon.png" alt="ZDaemon" title="ZDaemon"/>
                    </td>
                    <th>
                         <a href="https://www.zdaemon.org/">ZDaemon</a>
                    </th>
                    <td>
                        <a href="#">Purum Bellum - Horde2 Coop (2014)</a>
                        <a href="#">Purum Bellum - RJ Nonsense</a>
                    </td>
                </tr>
            </table>
            <h2>Fediverse</h2>
            <table>
                <tr>
                    <td>
                        <img src="img/thumb/peertube.png" alt="PeerTube" title="PeerTube"/>
                    </td>
                    <th>
                        <a href="https://joinpeertube.org/">PeerTube</a>
                    </th>
                    <td>
                        <a href="https://pt.<?=$s_name;?>/">pt.<?=$s_name;?></a>
                    </td>
                </tr>
                <tr>
                    <td>
                        <img src="img/thumb/pleroma.png" alt="Pleroma" title="Pleroma"/>
                    </td>
                    <th>
                        <a href="https://pleroma.social/">Pleroma</a>
                    </th>
                    <td>
                        <a href="https://pl.<?=$s_name;?>/">pl.<?=$s_name;?></a>
                    </td>
                </tr>
            </table>
            <h2>Miscellaneous</h2>
            <table>
                <tr>
                    <td>
                        <img src="img/thumb/gitea.png" alt="Gitea" title="Gitea"/>
                    </td>
                    <th>
                        <a href="https://gitea.io/en-us/">Gitea</a>
                    </th>
                    <td>
                        <a href="https://git.<?=$s_name;?>/">git.<?=$s_name;?></a>
                    </td>
                </tr>
            </table>
        </div>
        <hr>
        <div id="footer" class="section">
            <table>
                <tr>
                    <th>
                        <a href="https://bitcoin.org/en/">BTC</a>:
                    </th>
                    <td>
                        1PuBe1wTfnbJP3AW2aUmEeJfjutcmruCTg
                    </td>              
                </tr>
                <tr>
                    <th>
                        <a href="https://litecoin.org/">LTC</a>:
                    </th>
                    <td>
                        LPuBeTk8H5pFdRQJLpG2DwDfV4DqbQo9FT
                    </td>              
                </tr>
                <tr>
                    <th>
                        <a href="https://www.ethereum.org/">ETH</a>:
                    </th>
                    <td>
                        0xBEbEBEBEAe434B24e73B1EB96306d090B0EB8A66
                    </td>              
                </tr>
                <tr>
                    <th>
                        <a href="https://www.getmonero.org/">XMR</a>:
                    </th>
                    <td>
                        47PuBea9kNTHvmSUrVJAwWQ9EiooXw3W6Koz5oYwT8qJRQVgjmT6vXzPfVt11LsEkq2XL7Q4yq5kp6KTAPWsMGsSR4AQXss
                    </td>              
                </tr>
            </table>
            <br>
            <table>
                <tr>
                    <th>
                        IPv4:
                    </th>
                    <td>
                        <?=$host_ip;?>
                    </td>
                </tr>
                <tr>
                    <th>
                        DN:
                    </th>
                    <td>
                        <?=$s_name;?>
                    </td>
                </tr>
                <tr>
                    <th>
                        Tor:
                    </th>
                    <td>
                        pube6666k6afaa4j.onion
                    </td>
                </tr>
                <tr>
                    <th>
                        EM:
                    </th>
                    <td>
                        <script src="addrobfs.js"></script>
                    </td>
                </tr>
                <tr>
                    <th>
                        UT:
                    </th>
                    <td>
                        <?=shell_exec('uptime | awk -F, \'{sub(".*up ",x,$1);print $1}\'')?>
                    </td>
                </tr>
            </table>
        </div>
    </div>
  </body> 
</html>
 
